Bug 505860 - Wrong screen resolution on Intel Mobile GM965/GMA X3100 / phantom dual-head problem
Wrong screen resolution on Intel Mobile GM965/GMA X3100 / phantom dual-head p...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
11
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-14 07:34 EDT by Juergen Wieczorek
Modified: 2009-06-26 11:18 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-26 11:18:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xrandr output (5.89 KB, text/plain)
2009-06-14 07:35 EDT, Juergen Wieczorek
no flags Details
Xorg log (80.21 KB, text/plain)
2009-06-14 07:36 EDT, Juergen Wieczorek
no flags Details
lspci output (5.52 KB, text/plain)
2009-06-19 13:37 EDT, Juergen Wieczorek
no flags Details
new xrandr output (5.56 KB, text/plain)
2009-06-19 13:51 EDT, Juergen Wieczorek
no flags Details

  None (edit)
Description Juergen Wieczorek 2009-06-14 07:34:28 EDT
Description of problem:

My System:
Intel(R) Core(TM)2 Duo CPU T8300 @ 2.40GHz with
Intel Mobile Express GM965/GMA X3100 (256MB)
Tungsten Graphics, Inc., Mesa DRI Intel(R) 965GM GEM 20090114
2.1 Mesa 7.5-devel
Linux 2.6.29.4-167.fc11.x86_64 x86_64

My 17" LCD display (native res. 1280x1024) is connected to the DVI-I port of my computer, but wrongly detected a boot time.
The boot screed (blue progress bar(bubble?)) has a resolution of 800x600 located in the upper lefthand corner of the screen and so is the console screen.
The graphical login(kdm) has a resolution of 1024x768 and the session starts with this wrong resolution.
If I go to system-setting/display I can see that 2 displays are connected:
LVDS1 @ 1024x768 and DVI1 @ 1024x768
If I change the settings for DVI1 to 1280x1024 (and/or deactivate LVDS1) the screen resets to the correct resolution, but after a session log off or a system reset the changes are gone and I have to do the same tedious routine again.
Sometimes when changing the resolution the screen stays all black and only recovers when I switch to a console and back again.
The console resolution stays all the time at 800x600.
Adding the "nomodset" paramater to the kernel boot does not change anything.

I have encloed the X.org.log + xrandr output for further reference.
Comment 1 Juergen Wieczorek 2009-06-14 07:35:26 EDT
Created attachment 347812 [details]
xrandr output
Comment 2 Juergen Wieczorek 2009-06-14 07:36:21 EDT
Created attachment 347813 [details]
Xorg log
Comment 3 Adam Jackson 2009-06-19 12:44:42 EDT
Can I get 'lspci -vn' too?  We probably need to quirk this machine as not having LVDS.
Comment 4 Juergen Wieczorek 2009-06-19 13:37:17 EDT
Created attachment 348686 [details]
lspci output
Comment 5 Juergen Wieczorek 2009-06-19 13:50:54 EDT
I managed to work around this problem by adding 'nomodeset' to the kernel line and creating/editing the xorg.conf as below:

Section "Device"
	Identifier  "Videocard0"
	Driver      "intel"
	Option	    "monitor-LVDS" "LVDS"
EndSection

Section "Monitor" 
	Identifier  "LVDS"
	Option "Ignore" "True" 
EndSection 

Now I have a 1280x1024 at the loging and KDE session, as it should. (see encl. new xrandr.log)
glxgears performance also has been enhanced a lot, from previous ~650 fps to now ~1170 fps (same as with Debian Lenny on this machine)

I do not get a bootsplash screen though, only a progress at the screen bottom. So 'rhgb' somehow doesn't seem to work with 'nomodeset'
Comment 6 Juergen Wieczorek 2009-06-19 13:51:39 EDT
Created attachment 348692 [details]
new xrandr output
Comment 7 Juergen Wieczorek 2009-06-19 19:44:57 EDT
Adding 'vga=792' to the kernel line too, gives me back the bootsplash screen and a fullscreen terminal console.
Comment 8 Juergen Wieczorek 2009-06-26 11:18:32 EDT
Problem resolved the new kernel-2.6.29-5.191.fc11.

Note You need to log in before you can comment on or make changes to this bug.